
import os
import json
import re
import random
import string
import sys

def generate_random_password(length=8):
    if not isinstance(length, int) or length < 1:
        raise ValueError("Password length must be a positive integer.")
    
    characters = string.ascii_letters + string.digits
    return ''.join(random.choice(characters) for i in range(length))

